libetonyek::KEY1TableElement Class Reference documentation

Classes | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::KEY1TableElement Class Reference

`#include <KEY1TableElement.h>`

Inheritance diagram for libetonyek::KEY1TableElement:

## Classes
struct | TableData

## Public Member Functions
| KEY1TableElement (KEY1ParserState &state, boost::optional< IWORKSize > &size)
Public Member Functions inherited from libetonyek::KEY1XMLContextBase< IWORKXMLContextElement >
| KEY1XMLContextBase (KEY1ParserState &state)
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
| KEY1XMLContextBase (KEY1ParserState &state)
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
boost::optional< std::string > | m_key
boost::optional< IWORKSize > & | m_size
boost::shared_ptr< TableData > | m_tableData

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ KEY1TableElement()

libetonyek::KEY1TableElement::KEY1TableElement | ( | KEY1ParserState & | state,
|  | boost::optional< IWORKSize > & | size )
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::KEY1TableElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::KEY1TableElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::KEY1TableElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ startOfElement()

void libetonyek::KEY1TableElement::startOfElement | ( |  | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_key

boost::optional<std::string> libetonyek::KEY1TableElement::m_key
| private

Referenced by attribute(), and KEY1TableElement().

## ◆ m_size

boost::optional<IWORKSize>& libetonyek::KEY1TableElement::m_size
| private

Referenced by attribute(), and KEY1TableElement().

## ◆ m_tableData

boost::shared_ptr<TableData> libetonyek::KEY1TableElement::m_tableData
| private

Referenced by element(), endOfElement(), and KEY1TableElement().

The documentation for this class was generated from the following files:

- KEY1TableElement.h
- KEY1TableElement.cpp